Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Install Kazam on Fedora
# 1. download zip from https://launchpad.net/kazam
# 2. extract into target folder
# install prerequisites (works on Fedora 21 with Python 3)
sudo yum install python3-distutils-extra python3-dbus intltool
# run the included setup from within the unzipped folder
sudo python3 setup.py install
# Done! Can start with either `kazam` command or find Kazam in the menu
@walberthvieira

This comment has been minimized.

Copy link

@walberthvieira walberthvieira commented Oct 2, 2015

[walberth@walberth kazam-1.4.5]$ kazam
Traceback (most recent call last):
File "/bin/kazam", line 146, in
from kazam.app import KazamApp
File "/usr/lib/python3.4/site-packages/kazam/app.py", line 35, in
from kazam.backend.prefs import *
File "/usr/lib/python3.4/site-packages/kazam/backend/prefs.py", line 26, in
from xdg.BaseDirectory import xdg_config_home

acontece esse erro ao tentar abrir, como resolve?

@dheater

This comment has been minimized.

Copy link

@dheater dheater commented Apr 29, 2016

You may need the python3 version of pyxdg.

On Fedora 23, dnf install python3-pyxdg fixed that problem

@oscartzgz

This comment has been minimized.

Copy link

@oscartzgz oscartzgz commented Sep 7, 2016

Someone knows how install on Fedora 24?

@diniremix

This comment has been minimized.

Copy link

@diniremix diniremix commented Sep 7, 2016

I installed kazam using this repo, for Fedora / Korora but generates an error when starting the application:
in fedora 24

/usr/bin/kazam:32: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Traceback (most recent call last):
  File "/usr/bin/kazam", line 146, in <module>
    from kazam.app import KazamApp
  File "/usr/lib/python3.5/site-packages/kazam/app.py", line 35, in <module>
    from kazam.backend.prefs import *
  File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 478, in <module>
    prefs = Prefs()
  File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 121, in __init__
    self.read_config()
  File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 199, in read_config
    self.audio_source = int(self.config.get("main", "audio_source"))
  File "/usr/lib/python3.5/site-packages/kazam/backend/config.py", line 103, in get
    return ConfigParser.get(self, section, key)
  File "/usr/lib64/python3.5/configparser.py", line 797, in get
    d)
  File "/usr/lib64/python3.5/configparser.py", line 393, in before_get
    self._interpolate_some(parser, option, L, value, section, defaults, 1)
  File "/usr/lib64/python3.5/configparser.py", line 406, in _interpolate_some
    rawval = parser.get(section, option, raw=True, fallback=rest)
TypeError: get() got an unexpected keyword argument 'raw'

I have a pc with fedora 23 and for that version works well
excuse the translation, I do not speak English, I use Google Traslate

Update:

  • Install Kazam using this repo, for Fedora / Korora
  • Edit /usr/bin/kazam file and add the following lines before import from gi.repository import Gtk
import gi
gi.require_version("Gtk", "3.0")
from gi.repository import Gtk
  • Edit /usr/lib/python3.5/site-packages/kazam/backend/config.py file and modify get method

before:

def get(self, section, key):
        try:
          return ConfigParser.get(self, section, key)

after:

def get(self, section, key,raw=True,fallback='rest'):
        try:
            return super(KazamConfig,self).get(section, key, raw=raw, fallback=fallback)

the problem was solved here
It works fine in Fedora 24

Excuse the translation, I do not speak English, I use Google Traslate

@christianbueno1

This comment has been minimized.

Copy link

@christianbueno1 christianbueno1 commented Sep 29, 2016

thank you pal diniremix, I could install Kazam on Fedora 24, Now I want to set the correct icons , how do you think this could be done?

@Re1M0n

This comment has been minimized.

Copy link

@Re1M0n Re1M0n commented Nov 14, 2016

Hello. I get a new error after:


    Install Kazam using this repo, for Fedora / Korora
    Edit /usr/bin/kazam file and add the following lines before import from gi.repository import Gtk

import gi
gi.require_version("Gtk", "3.0")
from gi.repository import Gtk

    Edit /usr/lib/python3.5/site-packages/kazam/backend/config.py file and modify get method

before:

def get(self, section, key):
        try:
          return ConfigParser.get(self, section, key)

after:

def get(self, section, key,raw=True,fallback='rest'):
        try:
            return super(KazamConfig,self).get(section, key, raw=raw, fallback=fallback)

and ity says:


`Traceback (most recent call last):
  File "/bin/kazam", line 148, in <module>
    from kazam.app import KazamApp
  File "/usr/lib/python3.5/site-packages/kazam/app.py", line 35, in <module>
    from kazam.backend.prefs import *
  File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 478, in <module>
    prefs = Prefs()
  File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 121, in __init__
    self.read_config()
  File "/usr/lib/python3.5/site-packages/kazam/backend/prefs.py", line 199, in read_config
    self.audio_source = int(self.config.get("main", "audio_source"))
  File "/usr/lib/python3.5/site-packages/kazam/backend/config.py", line 103, in get
    return super(KazamConfig,self).get(section, key, raw=raw, fallback=fallback)
NameError: name 'raw' is not defined
`
@ShahriyarR

This comment has been minimized.

Copy link

@ShahriyarR ShahriyarR commented May 5, 2017

@here any idea why it is not working on Fedora 25? :)

@ShahriyarR

This comment has been minimized.

Copy link

@ShahriyarR ShahriyarR commented May 5, 2017

After applying patch got this one on Fedora 25:

$ kazam
/usr/lib/python3.5/site-packages/kazam/frontend/window_area.py:30: PyGIWarning: Wnck was imported without specifying a version first. Use gi.require_version('Wnck', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, GObject, Gdk, Wnck, GdkX11
/usr/lib/python3.5/site-packages/kazam/backend/gstreamer.py:35: PyGIWarning: Gst was imported without specifying a version first. Use gi.require_version('Gst', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GObject, Gst
/usr/lib/python3.5/site-packages/kazam/frontend/indicator.py:97: PyGIWarning: Keybinder was imported without specifying a version first. Use gi.require_version('Keybinder', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Keybinder
Segmentation fault (core dumped)
@mausrdr-zz

This comment has been minimized.

Copy link

@mausrdr-zz mausrdr-zz commented Jul 7, 2017

Works on Fedora 25:

  • Edit all those three files inserting them each gi.require_version.

  • Edit /etc/gdm/custom.conf file and uncoment the line WaylandEnable=false. This will disable Wayland and force to use Xorg.

reboot your system.

@donjajo

This comment has been minimized.

Copy link

@donjajo donjajo commented Sep 7, 2017

Using Fedora 26 and after doing all fixes in this issue I'm still getting

Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 879, in _find_spec
AttributeError: 'DynamicImporter' object has no attribute 'find_spec'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/kazam", line 149, in <module>
    from kazam.app import KazamApp
  File "/usr/lib/python3.6/site-packages/kazam/app.py", line 38, in <module>
    from kazam.frontend.window_area import AreaWindow
  File "/usr/lib/python3.6/site-packages/kazam/frontend/window_area.py", line 30, in <module>
    from gi.repository import Gtk, GObject, Gdk, Wnck, GdkX11
  File "/usr/lib64/python3.6/site-packages/gi/importer.py", line 127, in find_module
    'introspection typelib not found' % namespace)
ImportError: cannot import name Wnck, introspection typelib not found
@sabuhish

This comment has been minimized.

Copy link

@sabuhish sabuhish commented Aug 18, 2019

After applying patch got this one on Fedora 25:

$ kazam
/usr/lib/python3.5/site-packages/kazam/frontend/window_area.py:30: PyGIWarning: Wnck was imported without specifying a version first. Use gi.require_version('Wnck', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, GObject, Gdk, Wnck, GdkX11
/usr/lib/python3.5/site-packages/kazam/backend/gstreamer.py:35: PyGIWarning: Gst was imported without specifying a version first. Use gi.require_version('Gst', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GObject, Gst
/usr/lib/python3.5/site-packages/kazam/frontend/indicator.py:97: PyGIWarning: Keybinder was imported without specifying a version first. Use gi.require_version('Keybinder', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Keybinder
Segmentation fault (core dumped)

@ShahriyarR
have you found solution man? I am not able to fix it yet :)
#shakoheryerde )))

@BlackMage2

This comment has been minimized.

Copy link

@BlackMage2 BlackMage2 commented Jan 13, 2020

i have the same error on Fedora 32 (Rawhide) and i have installed already python3-pyxdg and get that at the start:
$ kazam /usr/local/bin/kazam:32: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded. from gi.repository import Gtk WARNING Kazam - Failed to correctly detect operating system. Traceback (most recent call last): File "/usr/local/bin/kazam", line 146, in <module> from kazam.app import KazamApp File "/usr/local/lib/python3.8/site-packages/kazam/app.py", line 35, in <module> from kazam.backend.prefs import * File "/usr/local/lib/python3.8/site-packages/kazam/backend/prefs.py", line 478, in <module> prefs = Prefs() File "/usr/local/lib/python3.8/site-packages/kazam/backend/prefs.py", line 119, in __init__ self.config = KazamConfig() File "/usr/local/lib/python3.8/site-packages/kazam/backend/config.py", line 76, in __init__ ConfigParser.__init__(self, self.DEFAULTS[0]['keys']) File "/usr/lib64/python3.8/configparser.py", line 639, in __init__ self._read_defaults(defaults) File "/usr/lib64/python3.8/configparser.py", line 1219, in _read_defaults self.read_dict({self.default_section: defaults}) File "/usr/lib64/python3.8/configparser.py", line 754, in read_dict self.set(section, key, value) File "/usr/local/lib/python3.8/site-packages/kazam/backend/config.py", line 126, in set self.add_section(section) File "/usr/lib64/python3.8/configparser.py", line 1208, in add_section super().add_section(section) File "/usr/lib64/python3.8/configparser.py", line 656, in add_section raise ValueError('Invalid section name: %r' % section) ValueError: Invalid section name: 'DEFAULT'

(why are the newlines not visible in the code block?)

@issacshell

This comment has been minimized.

Copy link

@issacshell issacshell commented Jun 3, 2020

I have this error when I try to run as a normal user.

Over Fedora 32

$ kazam

/usr/local/bin/kazam:32: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk
/usr/local/bin/kazam:75: DeprecationWarning: dist() and linux_distribution() functions are deprecated in Python 3.5
dist = platform.linux_distribution()
Traceback (most recent call last):
File "/usr/local/bin/kazam", line 146, in
from kazam.app import KazamApp
File "/usr/local/lib/python3.7/site-packages/kazam/app.py", line 35, in
from kazam.backend.prefs import *
File "/usr/local/lib/python3.7/site-packages/kazam/backend/prefs.py", line 478, in
prefs = Prefs()
File "/usr/local/lib/python3.7/site-packages/kazam/backend/prefs.py", line 119, in init
self.config = KazamConfig()
File "/usr/local/lib/python3.7/site-packages/kazam/backend/config.py", line 76, in init
ConfigParser.init(self, self.DEFAULTS[0]['keys'])
File "/usr/lib64/python3.7/configparser.py", line 638, in init
self._read_defaults(defaults)
File "/usr/lib64/python3.7/configparser.py", line 1216, in _read_defaults
self.read_dict({self.default_section: defaults})
File "/usr/lib64/python3.7/configparser.py", line 753, in read_dict
self.set(section, key, value)
File "/usr/local/lib/python3.7/site-packages/kazam/backend/config.py", line 126, in set
self.add_section(section)
File "/usr/lib64/python3.7/configparser.py", line 1205, in add_section
super().add_section(section)
File "/usr/lib64/python3.7/configparser.py", line 655, in add_section
raise ValueError('Invalid section name: %r' % section)
ValueError: Invalid section name: 'DEFAULT

But when I run as root

$ sudo kazam
/usr/local/bin/kazam:32: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk
/usr/local/bin/kazam:75: DeprecationWarning: dist() and linux_distribution() functions are deprecated in Python 3.5
dist = platform.linux_distribution()
Traceback (most recent call last):
File "/usr/local/bin/kazam", line 127, in
bus = dbus.SessionBus()
File "/usr/lib64/python3.7/site-packages/dbus/_dbus.py", line 211, in new
mainloop=mainloop)
File "/usr/lib64/python3.7/site-packages/dbus/_dbus.py", line 100, in new
bus = BusConnection.new(subclass, bus_type, mainloop=mainloop)
File "/usr/lib64/python3.7/site-packages/dbus/bus.py", line 122, in new
bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: /usr/bin/dbus-launch terminated abnormally without any error message

Over Fedora 32

@krisamorim

This comment has been minimized.

Copy link

@krisamorim krisamorim commented Jun 27, 2020

Alguém sabe como resolver:
[user@pc kazam-1.4.5]$ kazam
/usr/local/bin/kazam:32: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk
/usr/local/bin/kazam:75: DeprecationWarning: dist() and linux_distribution() functions are deprecated in Python 3.5
dist = platform.linux_distribution()
Traceback (most recent call last):
File "/usr/local/bin/kazam", line 146, in
from kazam.app import KazamApp
File "/usr/local/lib/python3.7/site-packages/kazam/app.py", line 35, in
from kazam.backend.prefs import *
File "/usr/local/lib/python3.7/site-packages/kazam/backend/prefs.py", line 478, in
prefs = Prefs()
File "/usr/local/lib/python3.7/site-packages/kazam/backend/prefs.py", line 119, in init
self.config = KazamConfig()
File "/usr/local/lib/python3.7/site-packages/kazam/backend/config.py", line 76, in init
ConfigParser.init(self, self.DEFAULTS[0]['keys'])
File "/usr/lib64/python3.7/configparser.py", line 638, in init
self._read_defaults(defaults)
File "/usr/lib64/python3.7/configparser.py", line 1216, in _read_defaults
self.read_dict({self.default_section: defaults})
File "/usr/lib64/python3.7/configparser.py", line 753, in read_dict
self.set(section, key, value)
File "/usr/local/lib/python3.7/site-packages/kazam/backend/config.py", line 126, in set
self.add_section(section)
File "/usr/lib64/python3.7/configparser.py", line 1205, in add_section
super().add_section(section)
File "/usr/lib64/python3.7/configparser.py", line 655, in add_section
raise ValueError('Invalid section name: %r' % section)
ValueError: Invalid section name: 'DEFAULT'

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment